Get Customer Onboarding Request
curl --request GET \
--url https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 123,
"message": "<string>",
"data": {
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"case": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectType": "customer",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"providerReference": "<string>",
"routeIntent": {},
"data": {},
"hostedSessions": [
{}
],
"reason": "<string>",
"metadata": {}
},
"requirements": {
"subjectType": "customer",
"schema": {}
}
}
}Onboarding
Get Customer Onboarding Request
Returns the current onboarding case and requirements schema. Fetch this operation again when the case changes so the integration uses the current schema and status.
GET
/
v1
/
customers
/
{customerId}
/
onboarding-requests
/
{caseId}
Get Customer Onboarding Request
Use the current
data.requirements.schema when collecting or validating
customer information. The requirements may change as the onboarding request
progresses.Authorizations
Path Parameters
Customer identifier.
Customer onboarding case identifier.
⌘I

